<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="s" uri="/struts-tags"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link type="text/css" rel="stylesheet" href="<c:url value="/css/material-icons.css"/>" />
    <link type="text/css" rel="stylesheet" href="<c:url value="/css/materialize.min.css"/>" media="screen,projection" />
    <link type="text/css" rel="stylesheet" href="<c:url value="/css/style.min.css"/>" media="screen,projection" />
    <link rel="icon" href="<c:url value="/img/favicon.ico"/>" />
    <title>QRCode - Microfolie Lens</title>
    
    <style>
    	img {
    		margin-left: auto;
    		margin-right: auto;
    	}
    </style>
</head>

<body class="grey lighten-3">
    <!-- Header -->
    <header class="navbar-fixed">
        <nav class="red">
            <div class="nav-wrapper">
                <a href="<c:url value="/" />" class="brand-logo center mtop-half hide-on-med-and-down"><img src="../img/logo.png"
                        title="Logo Microfolie" class="responsive-img" style="max-width: 128px;" /></a>
                <a href="<c:url value="/" />" class="brand-logo center hide-on-large-only">Microfolie Lens</a>
                <div class="left mleft-2 hide-on-med-and-down">
                    <span>
                        <h5>Microfolie Lens</h5>
                    </span>
                </div>
            </div>
        </nav>
    </header>
    <div class="mtop-5 hide-on-med-and-down"></div>
    
    <!-- Main -->
    <main class="container">
    	<div class="row">
    		<div class="col s12">
    			<a onclick="window.history.back()" class="waves-effect waves-light btn" >
    				<i class="material-icons left">arrow_back</i>Retour
    			</a>
    		</div>
    	</div>
    	<div class="row">
    		<div class="col s12 center-align">
    			<h3>Code : <span id="code"></span></h3>
    		</div>
    	</div>
    	<div class="row">
    		<div class="col s12">
    			<div id="qrcode"></div>
    		</div>
    	</div>
    	<div class="row">
    		<div class="col s12 center-align">
    			<a href="#"
					onclick="this.href = $('#qrcode img:first').attr('src');"
					class="waves-effect waves-light btn-large" download="qrcode.png">
    				<i class="material-icons left">keyboard_arrow_down</i>T&eacute;l&eacute;charger
    			</a>
    		</div>
    	</div>
    </main>
    
    <!-- Footer -->
    <footer class="page-footer red">
        <div class="container">
            <div class="row">
                <div class="col l6 s12">
                    <h5 class="white-text">Microfolie Lens</h5>
                    <p class="grey-text text-lighten-4">Bla bla bla ...</p>
                </div>
                <div class="col l4 offset-l2 s12">
                    <h5 class="white-text">Liens utiles</h5>
                    <ul>
                        <li><a class="grey-text text-lighten-3" href="<c:url value="/" />">Accueil</a></li>
                        <li><a class="grey-text text-lighten-3" href="#apropos">Qui somme nous</a></li>
                        <li><a class="grey-text text-lighten-3" href="#mention">Mentions l&eacute;gales</a></li>
                        <li><a class="grey-text text-lighten-3" href="#contact">Contact</a></li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="footer-copyright">
            <div class="container">
                © 2019 Copyright Text
                <a class="grey-text text-lighten-4 right" href="https://villedelens.fr" target="_blank">Ville de
                    Lens</a>
            </div>
        </div>
    </footer>
    
    <!-- Script -->
    <script type="text/javascript" src="../js/jquery.min.js"></script>
    <script type="text/javascript" src="../js/materialize.min.js"></script>
    <script type="text/javascript" src="../js/qrcode.min.js"></script>
    <script type="text/javascript" src="../js/script.js"></script>
    <script type="text/javascript">
    	$(document).ready(() => {
    		const params = new URLSearchParams(window.location.search);
    		if (!params.has("code")) {
    			window.location.href = '../';
    		}
    		$("#code").html(params.get("code"));
    		new QRCode("qrcode", params.get("code"));
    	});
    </script>
    
</body>
</html>